---
title: NDEFRecord.encoding
slug: Web/API/NDEFRecord/encoding
tags:
  - Encoding
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>encoding</code></strong> property ofthe {{DOMxRef("NDEFRecord")}} interface is {{DOMxRef("USVString")}} containing the name of the encoding used to encode NDEF payload if it contains textual data.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>NDEFRecord</em>.encoding</pre>

<h3 id="Value">Value</h3>

<p>A {{DOMxRef("USVString")}} which can be one of the following: <code>"utf-8"</code>, <code>"utf-16"</code>, <code>"utf-16le"</code> or <code>"utf-16be"</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefrecord-encoding">Web NFC, NDEFRecord.encoding</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFRecord.encoding")}}</p>
